Altibase.jdbc.driver.sharding.routing

## Class CompositeShardKeyRoutingEngine

- java.lang.Object
- - Altibase.jdbc.driver.sharding.routing.ShardKeyBaseRoutingEngine
  - - Altibase.jdbc.driver.sharding.routing.CompositeShardKeyRoutingEngine

All Implemented Interfaces:
  RoutingEngine

    public class CompositeShardKeyRoutingEngine
    extends ShardKeyBaseRoutingEngine

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.sharding.routing.ShardKeyBaseRoutingEngine

`mShardStmtCtx`

### Constructor Summary

Constructors
Constructor and Description
`CompositeShardKeyRoutingEngine(CmProtocolContextShardStmt aShardStmtCtx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DataNode>` `route(java.lang.String aSql, java.util.List<Column> aParameters)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositeShardKeyRoutingEngine

    public CompositeShardKeyRoutingEngine(CmProtocolContextShardStmt aShardStmtCtx)

### Method Detail

#### route

    public java.util.List<DataNode> route(java.lang.String aSql,
                                          java.util.List<Column> aParameters)
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`